%define anolis_release 1

Name:           python-raven

Version:        6.10.0
Release:        %{anolis_release}%{?dist}
Summary:        Python client for Sentry

License:        BSD
URL:            https://pypi.python.org/pypi/raven/
Source0:        https://files.pythonhosted.org/packages/source/r/raven/raven-%{version}.tar.gz
Patch0:         raven-use-system-cacert.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
#needed for check:
#BuildRequires:  python3-contextlib2
#BuildRequires:  python3-flask-login
#BuildRequires:  python3-blinker
#BuildRequires:  python3-anyjson
#BuildRequires:  python3-webtest
#BuildRequires:  python3-tornado
#BuildRequires:  python3-requests
#BuildRequires:  python3-pytest

%global _description\
Raven is a Python client for Sentry <http://getsentry.com>. It provides full\
out-of-the-box support for many of the popular frameworks, including Django,\
and Flask. Raven also includes drop-in support for any WSGI-compatible web\
application.

%description %_description

%package -n python3-raven
Summary:        Python client for Sentry
%{?python_provide:%python_provide python3-raven}

%description -n python3-raven
Raven is a Python client for Sentry <http://getsentry.com>. It provides full
out-of-the-box support for many of the popular frameworks, including Django,
and Flask. Raven also includes drop-in support for any WSGI-compatible web
application.

%{?python_extras_subpkg:%python_extras_subpkg -n python3-raven -i %{python3_sitelib}/*.egg-info flask}

%prep
%setup -q -n raven-%{version}
%patch0 -p1

rm raven/data/cacert.pem
rmdir raven/data

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --skip-build --root=%{buildroot}

%check
#Disable check for now because of missing dependency pytest-timeout
#%%{__python3} setup.py test

%files -n python3-raven
%doc README.rst
%license LICENSE
%{_bindir}/raven
%{python3_sitelib}/*

%changelog
* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6.10.0-1
- Init upstream from version 6.10.0
